Skip to: Content
Skip to: Site Navigation
Skip to: Search


Horizons

Google Chrome for Mac unleashed, but only for Leopard and later

Google Chrome for Mac requires a fairly new computer – is Google ignoring too large a swath of users?

By Andrew Heining / December 8, 2009

Google's Chrome browser is available for Macs and Linux today, but carries some steep minimum system requirements.

Google/photo illustration

Enlarge

When this tech blogger saw the announcement, that the long-awaited, really-official-this-time Google Chrome had finally been released for Mac and Linux after living in the realm of PC-only for more than a year, there was one jubilant moment of excitement – and then a crush of doom.

Skip to next paragraph

Recent posts

Chrome, the speedy, secure, lightweight browser had finally come to the Monitor office's operating system of choice.

But not so fast. For Macs, Chrome requires Mac OS 10.5 or newer – Leopard and Snow Leopard for the animal types among us.

What's that mean? Unless you upgraded your Mac's operating system in the last two years, you're stuck Chrome-less. Oh, and those who've kept an older PowerPC-based Mac alive by upgrading to a newer OS? You're doomed to dullness, too – no Chrome for you. (But you're in good company. Not even your faithful Horizons team can download Chrome here in the office. We're running an older version of OS X. And even if we could, like many reading this at work, we'd still need our IT department's approval – and don't even get us started on that.)

What gives, Google?

Most times when folks talk about the speed of computers, it's Moore's law – the theory that processor speeds double every two years. But this development has us pondering the speed of obsolescence. Has it really increased that much? (Or are our computers really that old?)

When it launched Chrome for Windows in October of 2008, Google stipulated that it supported anything Windows XP and newer. XP was released seven years before, in October of 2001. If that timetable is applied, Chrome for Mac should support OS 10.2 Jaguar, which came out in late-summer 2002. But Jaguar, Panther (October 2003), and Tiger (April 2005) have all been left out in the cold by Chrome.

It should be noted, however, that between Panther and Tiger, Apple undertook a significant change to its OS architecture, switching from PowerPC to Intel processors. Many applications, including Apple's own OS, have dropped support for pre-Intel Macs. But that was over four years. With Chrome for Mac, even-handed Google is taking a new product and saying that to use it, users must have purchased new hardware or software in the last two years.

Unfair? Here to stay?

Some might hear Chrome's tale and cry: "But it's just a beta!" That's true, it's still in development, and support for older systems may be on the way. But Google's GMail, the email client that kept its "beta" tag for five years, rewrote the rules on beta software, at least for Google products. These days users expect a product to work right out of the gate, across any platform, even if that's unreasonable. (Read about Google Wave's tough reception to see what we mean.)

Will this 'accelerated obsolescence' become the norm? Maybe not for software – Google and other free software providers have been keen to spread their products across the widest possible base. But with other products, in a sense it already has. Want to use the latest iPhone or Android apps? Buy a compatible phone. Want to watch Blu-ray movies? Play Modern Warfare 2? Get 50 miles per gallon in a Prius without hypermiling? Cha-ching – only the new will do.

––

Have you used Google Chrome for Mac? How's it work? Does your computer fail to meet Google's system requirements? Leave a comment below, and catch up with us on Twitter.

Read Comments

View reader comments | Comment on this story